# Interface PaymailWallet

#### Hierarchy

- BasicWallet
  - PaymailWallet

- Defined in types.ts:59

#####
Index

### Methods

authenticate
getChangeOutputScript
getPaymail
getSpendableBalance
isAuthenticated
sendToBitcoinAddress
sign
verify

## Methods

### authenticate

- authenticate(): Promise<void>

- The method implementation should force the user to authenticate themselves (most likely a redirect or popup of some kind).

  This does NOT guarantee that the user is authenticated

  #### Returns Promise<void>

  Inherited from BasicWallet.authenticate

  - Defined in types.ts:43

### getChangeOutputScript

- getChangeOutputScript(): Promise<Uint8Array>

- #### Returns Promise<Uint8Array>

  Inherited from BasicWallet.getChangeOutputScript

  - Defined in types.ts:56

### getPaymail

- getPaymail(): Promise<string>

- #### Returns Promise<string>

  - Defined in types.ts:60

### getSpendableBalance

- getSpendableBalance(): Promise<number>

- #### Returns Promise<number>

  Inherited from BasicWallet.getSpendableBalance

  - Defined in types.ts:45

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  Inherited from BasicWallet.isAuthenticated

  - Defined in types.ts:35

### sendToBitcoinAddress

- sendToBitcoinAddress(destinationAddress: string, amountSatoshis: number): Promise<Utxo>

- #### Parameters

  - ##### destinationAddress: string

  - ##### amountSatoshis: number

  #### Returns Promise<Utxo>

  Inherited from BasicWallet.sendToBitcoinAddress

  - Defined in types.ts:47

### sign

- sign(data: Uint8Array): Promise<ISignaturePair>

- This MUST sign with the public key for the associated paymail see: https://bsvalias.org/03-public-key-infrastructure.html

  #### Parameters

  - ##### data: Uint8Array

  #### Returns Promise<ISignaturePair>

  - Defined in types.ts:66

### verify

- verify(message: Uint8Array, signature: Uint8Array): Promise<boolean>

- Validates this message against the provided signature and the public key attached to the paymail for this wallet. see: https://bsvalias.org/03-public-key-infrastructure.html

  #### Parameters

  - ##### message: Uint8Array

  - ##### signature: Uint8Array

  #### Returns Promise<boolean>

  - Defined in types.ts:73

Generated using TypeDoc